ChiliProject - Feature # 1232: Improve Plugin hooks on Welcome Screen
Updated: 2013-03-19 Due date:

Remote issue URL:
Affected version:
Description: Right now the welcome screen is pretty dull; by default you can only show a wiki blurb and the latest projects.

On an active site hosting multiple projects, the latest projects part is only a disservice to an admin user, since
they don't get to see the projects to which they are assigned, but rather only the most recent 5, whether they
are assigned or not.

You also get the option of using News, if you have the module enabled anywhere, but that's it.

it would be nice if this screen offered a little more flexibility than the current plugin hooks allow, which is now
just a hook for each side, at the bottom. | suggest being able to inject content as follows:

**Left side**

* Above the Wiki blurb (@top@)

* Between Wiki blurb and the News blurb (@after_news@)
* Generic Bottom (@bottom@)

**Right Side**
* Top (@top@)
* Bottom (@bottom@)

History

2013-02-11 06:37 pm - Nick Peelman
Finished in "Pull Request 243":https://github.com/chiliproject/chiliproject/pull/243

2013-02-25 02:51 pm - Chris Dahn
@Felix: Besides reviewing the source code (where | can't help really), does it help when | test/verify this pull request on one of my test installations?

2013-02-25 03:39 pm - Nick Peelman

Just saw a mistype on my part, the middle hook on the left should either be @before_news@ or @after_wiki@, | must have crossed my thoughts when
typing it before.

2013-03-19 09:52 pm - Felix Schéafer

- Target version changed from 3.8.0 to 3.9.0

Pushing to a later version, feedback coming soon, sorry for the delay.
